| GNSS data to OSM format processor and track finder

- Main Page
- Packages
- Files

- Packages
- Package Functions

Functions
postx_functions Namespace Reference

Serves to solve problems after solutions connected to the crossroad representation. More...

## Functions
def | extractnodes (basedata)
| Function takes all the nodes from basedata and appends them into a list it returns. More...
def | get_each_closest (coordinates, fine_nodes)
| For each coordinate go through all fine_nodes and find the closest one. More...
def | get_list_complement (alist, blist)
| What the functions does is: xlist = alist - blist. More...
def | feature_deletion_matchwise (adata, bdata, matchfactor)
| Compare these two maps (adata, bdata). More...

## Detailed Description

Serves to solve problems after solutions connected to the crossroad representation.

These funtions are aimed to help get more refined (fine) representation of the input data in normalised state.

## Function Documentation

## ◆ extractnodes()

def postx_functions.extractnodes | ( |  | basedata | ) |

Function takes all the nodes from basedata and appends them into a list it returns.

Parameters

  basedata | type dictionary and has to satisfy used case-specific geojson format (OSM)

## ◆ feature_deletion_matchwise()

def postx_functions.feature_deletion_matchwise | ( |  | adata,
|  |  | bdata,
|  |  | matchfactor
| ) |  |

Compare these two maps (adata, bdata).

Each feature with the correspondent one. If any of the both map's features have significantly more nodes, then the feature will be deleted from adata copy, which is at the end returned. Both representations have their flaws, mostly reaching out of the seeked track, therefore this way it is ensured those that stick out are deleted.

Parameters

  adata | geojson based format OSM
  bdata | geojson based format OSM
  matchfactor | (0-100) bigger number deletes less features, to understand why, it is better to read the code

## ◆ get_each_closest()

def postx_functions.get_each_closest | ( |  | coordinates,
|  |  | fine_nodes
| ) |  |

For each coordinate go through all fine_nodes and find the closest one.

The closest one will be stored in winnode - list which will be returned.

Parameters

  coordinates | list of input data nodes ,[[lon1,lat1],[lon2,lat2],...]
  fine_nodes | nodes obtained from json formerData (fine representation)

## ◆ get_list_complement()

def postx_functions.get_list_complement | ( |  | alist,
|  |  | blist
| ) |  |

What the functions does is: xlist = alist - blist.

The return value is equal to the alist while not containing any item equal to any item in the blist list. Both input arguments are list of nodes [[lon1,lat1],[lon2,lat2],...]